# for cases pointer to function

INC1=-I/usr/include
INC2=-I/usr/ch/extern/include

target: libsetfuncptr4.dl

libsetfuncptr4.dl: setFunction4.o setFunction4_chdl.o
	ch dllink libsetfuncptr4.dl \
                  setFunction4.o setFunction4_chdl.o

setFunction4.o: setFunction4.c
	ch dlcomp libsetfuncptr4.dl setFunction4.c $(INC1) $(INC2)

setFunction4_chdl.o: setFunction4_chdl.c
	ch dlcomp libsetfuncptr4.dl setFunction4_chdl.c $(INC1) $(INC2)

clear:
	rm -f  *.o
clean:
	rm -f  *.o
	rm -f  lib*.dl
